*{
    margin:0;
    padding: 0;
}

.kefu-section{
    width:100%;
    background: white;
}

.kefu-header{
    background:white;
    width:100%;
    height:64px;
    padding: 24px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #F0F0F0;
}

.kefu-header-img{
    width:34px;
    height:25px;
}
.kefu-header-title{
    display: inline-block;
    margin-left:8px;
    flex-grow: 1;
}

.kefu-header-icons{
    display: inline-flex;
    width:80px;
    justify-content: flex-end;
    align-items: center;
    cursor: pointer;
}
.kefu-header-icons img{
    width:16px;
    height:16px;
}



.kefu-main{
    height:432px;
    width: 100%;
    padding: 16px 0px 16px 24px;
    box-sizing: border-box;
    /* overflow-y:auto; */
}

.kefu-footer{
    width:100%;
    padding:0px;
    box-sizing: border-box;
    box-shadow: 0px -3.21386px 32.1386px rgba(199, 199, 199, 0.25);
}

.kefu-footer-operate{
    width:100%;
    position: relative;
}

.face-panel{
    position: absolute;
    width: 200px;
    height: 120px;
    left: 42px;
    bottom: 100%;
    border-radius: 4px;
    background: white;
    box-shadow: rgb(0 0 0 / 16%) 0px 5px 40px;
    overflow-y: auto;
}
.face-panel span{
    cursor: pointer;
}

.kefu-footer-send{
    width:100%;
    display: flex;
    justify-content: flex-end;
}

.kefu-footer-input{
    width:100%;
    background: #FFFFFF;
    padding: 19px 15px;
    box-sizing: border-box;
    display: flex;
    flex-grow: 1;
}

.kefu-footer-input input{
    display: inline-flex;
    width:280px;
}

.kefu-footer-btn{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border:none;
    cursor: pointer;
    width:42px;
    height:42px;
    border-radius: 50%;
    margin-left:10px;
    background: #3034DE;
}

.kefu-footer-btn:hover{
    background:#5A5EFF;
}

.kefu-footer-img{
    width:19px;
    height:16px;
}



#kefu-input{
    display: block;
    box-sizing: border-box;
    outline: 0px;
    border: 1px solid #f0f0f0;
    border-radius: 21px;
    height: 42px;
    padding:0 16px;
    font-family: "Helvetica Neue", Helvetica, Arial, "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
}

.msg-list{
    display: flex;
    width:100%;
    align-items:end;
    font-size:14px;
}

.msg-list ol{
    margin-left:13px;
}

.msg-list ul{
    margin-left:13px;
}

.msg-list ol li {
    color:#3034DE;
    cursor:pointer;
}

.msg-list-picture{
    width:40px;
    height:40px;
    background: #ECEFFF;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

.msg-list-picture img{
    width: 24px;
    height: 18px;
    display: inline-block;
}

.msg-list-content{
    padding: 8px;
    border: 1px solid rgb(240, 240, 240);
    margin-left:8px;
    max-width: 232px;
    position: relative;
}

.msg-list-content a {
    color:#3034DE;
}

.chat-bot-rich{
    word-break: break-all;
}



.msg-list-content-master{
    border-radius: 10px 10px 0px 10px;
    background-color: #3034DE;
    color:white;
}

.msg-list-content-nonmaster{
    background-color: white;
    border-radius: 10px 10px 10px 0px;
}

.msg-list-feedback{
    position: absolute;
    top:calc(100% + 12px);
    left:-2px;
    width:232px;
    display: flex;
    justify-content:center;
    align-items: center;
}

.msg-list-feedback-btn{
    border-radius: 10px;
    cursor: pointer;
    outline: none;
    border:none;
    height:34px;
    line-height: 34px;
    font-size: 12px;
    padding:8px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-right:16px;
}

.btn-not-checked.msg-list-feedback-btn:hover{
    background: rgba(90, 94, 255, 0.1);
    transition-delay:.2s;
}
.btn-not-checked.msg-list-feedback-btn:hover span{
    color:#5A5EFF !important;
    transition-delay:.2s;
}

@font-face {
    font-family: 'Star';
    src: url(/icons/icomoon.ttf);
}

.icon-star:before {
    font-family: 'Star';
    font-size:16px;
    color:'#3034DE';
    content: "\e900";
}

.icon-unstar:before {
    font-family: 'Star';
    content: "\e901";
    color:'#3034DE';
    font-size:16px;
}









.msg-list-content img{
    max-width:232px;
}

.chatbot-directive{
    cursor: pointer;
    color:#3034DE;
}

.chatbot-list {
    list-style: inherit;
}

.msg_link{
    color: rgb(48, 52, 222);
    cursor: pointer;
}
.fadein-enter-active,.fadein-leave-active {
    transition: opacity 0.5s;
}
.fadein-enter,.fadein-leave-to {
    opacity: 0;
}






.el-scrollbar__thumb {
    background: rgba(20, 18, 34, 0.1) !important;
}



